%global upstream_name gunicorn

Name:           python3-%{upstream_name}
Version:        20.0.4
Release:        1%{?dist}
Summary:        Python WSGI application server
License:        MIT
URL:            http://gunicorn.org/
Source0:        %pypi_source %{upstream_name}
# distro-specific, not upstreamable
Patch101:       0001-use-dev-log-for-syslog.patch
BuildArch:      noarch

%description
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%package -n python%{python3_pkgversion}-%{upstream_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{upstream_name}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{upstream_name}
Gunicorn ("Green Unicorn") is a Python WSGI HTTP server for UNIX. It uses the
pre-fork worker model, ported from Ruby's Unicorn project. It supports WSGI,
Django, and Paster applications.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

%build
%py3_build

%install
%py3_install
# symlink extra executable names
mv %{buildroot}%{_bindir}/%{upstream_name}{,-%{python3_version}}
ln -s %{upstream_name}-%{python3_version} %{buildroot}%{_bindir}/%{upstream_name}-3

%files -n python%{python3_pkgversion}-%{upstream_name}
%license LICENSE
%doc NOTICE README.rst THANKS
%{python3_sitelib}/%{upstream_name}-*.egg-info/
%{python3_sitelib}/%{upstream_name}/
%{_bindir}/%{upstream_name}-3
%{_bindir}/%{upstream_name}-%{python3_version}

%changelog
* Wed Apr 08 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 20.0.4-1
- Initial package
